<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Authentication Defaults
    |--------------------------------------------------------------------------
    |
    | This option controls the default authentication "guard" and password
    | reset options for your application. You may change these defaults
    | as required, but they're a perfect start for most applications.
    |
    */
	
    'defaults' => [
        'guard' => 'web',
        'passwords' => 'users',
    ],
	/*
	'defaults' => [
        'guard' => 'profile',
        'passwords' => 'profile',
    ],
	*/
    /*
    |--------------------------------------------------------------------------
    | Authentication Guards
    |--------------------------------------------------------------------------
    |
    | Next, you may define every authentication guard for your application.
    | Of course, a great default configuration has been defined for you
    | here which uses session storage and the Eloquent users provider.
    |
    | All authentication drivers have a users provider. This defines how the
    | users are actually retrieved out of your database or other storage
    | mechanisms used by this application to persist your users's data.
    |
    | Supported: "session", "token"
    |
    */
	/*
    'guards' => [
        'web' => [
            'driver' => 'session',
            'provider' => 'users',
        ],

        'api' => [
            'driver' => 'token',
            'provider' => 'users',
            'hash' => false,
        ],
    ],
    */
    'guards' => [
        'web' => [
            'driver' => 'session',
            'provider' => 'users',
        ],

        'api' => [
            'driver' => 'token',
            'provider' => 'users',
            'hash' => false,
        ],
        
		'profile' => [
			'driver' => 'session',
			'provider' => 'profile',
		],
    ],

    /*
    |--------------------------------------------------------------------------
    | users Providers
    |--------------------------------------------------------------------------
    |
    | All authentication drivers have a users provider. This defines how the
    | users are actually retrieved out of your database or other storage
    | mechanisms used by this application to persist your users's data.
    |
    | If you have multiple users tables or models you may configure multiple
    | sources which represent each model / table. These sources may then
    | be assigned to any extra authentication guards you have defined.
    |
    | Supported: "database", "eloquent"
    |
    */

	/*
    'providers' => [
        'users' => [
            'driver' => 'eloquent',
            'model' => App\users::class,
        ],

        // 'users' => [
        //     'driver' => 'database',
        //     'table' => 'users',
        // ],
    ],
    */
    
    'providers' => [
        'users' => [
            'driver' => 'eloquent',
            'model' => App\users::class,
        ],
        'users' => [
            'driver' => 'database',
            'table' => 'users',
        ],
        'profile' => [
            'driver' => 'eloquent',
            'model' => App\Profile::class,
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Resetting Passwords
    |--------------------------------------------------------------------------
    |
    | You may specify multiple password reset configurations if you have more
    | than one users table or model in the application and you want to have
    | separate password reset settings based on the specific users types.
    |
    | The expire time is the number of minutes that the reset token should be
    | considered valid. This security feature keeps tokens short-lived so
    | they have less time to be guessed. You may change this as needed.
    |
    */
	/*
    'passwords' => [
        'users' => [
            'provider' => 'users',
            'table' => 'password_resets',
            'expire' => 60,
        ],
    ],
	*/
	'passwords' => [
        'users' => [
            'provider' => 'profile',
            'table' => 'profile',
            'expire' => 60,
        ],
    ],
];
